package com.unissoft.deviceAlarm.controller;

import com.unissoft.deviceAlarm.model.TWarningThreshold;
import com.unissoft.deviceAlarm.service.TWarningThresholdService;
import com.unissoft.utils.ResultView;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 报警阀值设置
 * @create 2023-06-26 14:06
 */
@Slf4j
@RestController
@RequestMapping("/warningThreshold")
public class WarningThresholdController {
    @Resource
    private TWarningThresholdService warningThresholdService;

    @PostMapping("/save")
    public ResultView saveData(@RequestBody List<TWarningThreshold> data) {
        try {
            warningThresholdService.saveData(data);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
    }

    @PostMapping("/update")
    public ResultView updateData(@RequestBody List<TWarningThreshold> data) {
        try {
            warningThresholdService.updateData(data);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
    }

}
