package com.unissoft.deviceAlarm.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 预警（阈值）记录表
 * </p>
 *
 * @author root
 * @since 2023-06-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_warning_threshold")
public class TWarningThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 32位唯一编码
     */
    @TableId("id")
    private String id;

    /**
     * 库点标识
     */
    @TableField("org_id")
    private String orgId;

    /**
     * 仓房编码
     */
    @TableField("v_cf_code")
    @JsonProperty
    private String vCfCode;

    /**
     * 所属模块名称
     */
    @TableField("w_module")
    @JsonProperty
    private String wModule;

    /**
     * 预警名称
     */
    @TableField("w_name")
    @JsonProperty
    private String wName;

    /**
     * 是否开启
     */
    @TableField("w_state")
    @JsonProperty
    private Integer wState;

    /**
     * 预警阈值
     */
    @TableField("threshold")
    private BigDecimal threshold;

    /**
     * 创建人
     */
    @TableField("w_update_person")
    @JsonProperty
    private String wUpdatePerson;

    /**
     * 创建时间
     */
    @TableField("w_update_time")
    private Date wUpdateTime;

    /**
     * 删除标志（0：删除，1：未删除）
     */
    @TableField("del_flag")
    private Integer delFlag;


}
