package com.unissoft.deviceAlarm.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.deviceAlarm.mapper.TWarningThresholdMapper;
import com.unissoft.deviceAlarm.model.TWarningThreshold;
import com.unissoft.deviceAlarm.service.TWarningThresholdService;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Objects;
import java.util.UUID;

/**
 * <p>
 * 预警（阈值）记录表 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-06-28
 */
@Service
public class TWarningThresholdServiceImpl extends ServiceImpl<TWarningThresholdMapper, TWarningThreshold> implements TWarningThresholdService {
    @Resource
    private TWarningThresholdMapper warningThresholdMapper;

    @Override
    public void saveData(List<TWarningThreshold> data) {
        data.forEach(o -> {
            if (StringUtils.isEmpty(o.getId()))
                o.setId(UUID.randomUUID().toString());
            if (Objects.isNull(o.getWUpdateTime()))
                o.setWUpdateTime(new Date());
            warningThresholdMapper.insert(o);
        });
    }

    @Override
    public void updateData(List<TWarningThreshold> data) {
        data.forEach(o -> {
            if (Objects.isNull(o.getWUpdateTime()))
                o.setWUpdateTime(new Date());
            warningThresholdMapper.updateById(o);
        });
    }
}
